health
Open an operation to see its authentication, its parameters and the fields of its request and response.
2 operations
GET/healthz
Liveness: the process answers.
/healthzAuthentication: None
Response 200
| Name | Type | Description |
|---|---|---|
statusrequired | "ok" | |
uptime_srequired | integer |
GET/readyz
Readiness: both database pools and the job queue answer.
/readyzAuthentication: None
Response 200
| Name | Type | Description |
|---|---|---|
statusrequired | enum | Values ready | unavailable |
checksrequired | object | |
checks.databaserequired | object | |
checks.database.okrequired | boolean | |
checks.database.latency_msrequired | integer | |
checks.database_apprequired | object | |
checks.database_app.okrequired | boolean | |
checks.database_app.latency_msrequired | integer | |
checks.queuerequired | object | |
checks.queue.okrequired | boolean | |
checks.queue.latency_msrequired | integer |